Bug 502315 - Dependency problem with nedit
Dependency problem with nedit
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-23 15:10 EDT by Matt Castelein
Modified: 2014-01-21 18:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 17:26:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Castelein 2009-05-23 15:10:01 EDT
I installed nedit-5.5.20.fc10.x86_84 with yum and it did not complain about missing dependencies, nor did it install any.. However, when I try to run it I get:

nedit: error while loading shared libraries: libXp.so.6: cannot open shared object file: No such file or directory
Comment 1 Matt Castelein 2009-06-24 13:50:56 EDT
Still a problem with nedit-5.5-21.fc11.x86_64
Comment 2 Matt Castelein 2009-07-01 16:04:55 EDT
Installing libXp will fix this on Fedora... the nedit package should be calling for libXp as a dependency!!
Comment 3 Matt Castelein 2009-07-01 16:08:23 EDT
Yum shows that nedit seems to know that it needs libXp:
  dependency: libXp.so.6()(64bit)
   provider: libXp.x86_64 1.0.0-13.fc11

..but it does not enforce this requirement.  Is this a problem with the package, or with yum?
Comment 4 Jindrich Novy 2009-07-02 00:23:18 EDT
Not sure about this one. It seems to me like a yum depsolving bug as the nedit rpm has a correct dependency and it needs to be enforced just because of that. There was not soname bump on the libXp side I'm aware of that might have caused this.

Any thoughts from the yum side?
Comment 5 seth vidal 2009-07-02 09:28:57 EDT
do you still currently have this broken dep?

can you run:
rpm -Va --nofiles --nodigest

and tell us the output?
Comment 6 Matt Castelein 2009-07-02 10:17:30 EDT
(In reply to comment #5)
> do you still currently have this broken dep?
> 
> can you run:
> rpm -Va --nofiles --nodigest
> 
> and tell us the output?  

[root@arturo ~]# rpm -Va --nofiles --nodigest
Unsatisfied dependencies for rpm-4.7.0-1.fc11.x86_64:
        db4-utils = 4.7.25 is needed by rpm-4.7.0-1.fc11.x86_64
[root@arturo ~]#
Comment 7 seth vidal 2009-07-02 11:26:42 EDT
How did your system get to that point? Have you installed or removed any thing using --nodeps or --force to rpm?
Comment 8 Matt Castelein 2009-07-02 12:55:22 EDT
I had to force some stuff to complete upgrading to 11.. It was a total nightmare.
Comment 9 Matt Castelein 2009-07-02 13:02:27 EDT
If I add the missing db4-utils, I still do not get any message about nedit from rpm -Va --nofiles --nodigest
Comment 10 seth vidal 2009-07-08 15:09:10 EDT
okay - so does nedit run at this point? B/c I can't replicate this behavior.
Comment 11 Matt Castelein 2009-07-08 15:51:56 EDT
Only if I install libXp.  Which it still never complains about, dependency wise.
Comment 12 Matt Castelein 2009-07-08 15:53:32 EDT
So you're telling me, if you do "yum install nedit" that your system will install libXp automatically as a dependency?
Comment 13 seth vidal 2009-07-08 15:56:23 EDT
but that's my confusion nedit does require libXp

repoquery --requires nedit
/bin/sh
lesstif
libICE.so.6
libSM.so.6
libX11.so.6
libXext.so.6
libXm.so.2
libXmu.so.6
libXp.so.6
libXpm.so.4
libXt.so.6
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4)
libm.so.6
libm.so.6(GLIBC_2.0)
rtld(GNU_HASH)
xorg-x11-fonts-ISO8859-1-75dpi


can you run:
rpm -q --requires nedit

on your system and see if it mentions libXp.so.6 in there?
Comment 14 Matt Castelein 2009-07-08 16:08:34 EDT
rpm -q --requires nedit
/bin/sh
/bin/sh
lesstif
libICE.so.6()(64bit)
libSM.so.6()(64bit)
libX11.so.6()(64bit)
libXext.so.6()(64bit)
libXm.so.2()(64bit)
libXmu.so.6()(64bit)
libXp.so.6()(64bit)
libXpm.so.4()(64bit)
libXt.so.6()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
xorg-x11-fonts-ISO8859-1-75dpi
Comment 15 seth vidal 2009-07-08 16:10:55 EDT
# yum install nedit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package nedit.i586 0:5.5-21.fc11 set to be updated
--> Processing Dependency: libXp.so.6 for package: nedit-5.5-21.fc11.i586
--> Processing Dependency: libXm.so.2 for package: nedit-5.5-21.fc11.i586
--> Processing Dependency: lesstif for package: nedit-5.5-21.fc11.i586
--> Running transaction check
---> Package lesstif.i586 0:0.95.0-28.fc11 set to be updated
---> Package libXp.i586 0:1.0.0-13.fc11 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch          Version                   Repository       Size
================================================================================
Installing:
 nedit            i586          5.5-21.fc11               fedora          617 k
Installing for dependencies:
 lesstif          i586          0.95.0-28.fc11            fedora          766 k
 libXp            i586          1.0.0-13.fc11             fedora           24 k

Transaction Summary
================================================================================
Install      3 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total size: 1.4 M
Total download size: 790 k
Is this ok [y/N]:
Comment 16 seth vidal 2009-07-08 16:11:25 EDT
perhaps this is an x86_64 ism - let me check the deps on x86_64
Comment 17 seth vidal 2009-07-08 17:03:04 EDT
hmm - no - I've taken a look at both the x86_64 pkgs and the deps are there and look right.

Can you remove libXp and nedit and test it again?
Comment 18 Matt Castelein 2009-07-08 17:07:01 EDT
[root@arturo ~]# yum --noplugins install nedit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package nedit.x86_64 0:5.5-21.fc11 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================
 Package            Arch                Version                   Repository           Size
============================================================================================
Installing:
 nedit              x86_64              5.5-21.fc11               fedora              639 k

Transaction Summary
============================================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 639 k
Is this ok [y/N]:
Comment 19 seth vidal 2009-07-08 17:14:17 EDT
okay - something on your system is fulfilling this dep so please run:

rpm -q --whatprovides 'libXp.so.6()(64bit)'
Comment 20 Matt Castelein 2009-07-08 17:22:12 EDT
rpm -q --whatprovides 'libXp.so.6()(64bit)'
StorMan-6.10-18359.x86_64


Son of a #$%^&!!! Adaptec!
Comment 21 Matt Castelein 2009-07-08 17:23:12 EDT
 rpm -ql StorMan | grep libXp
/usr/StorMan/libXp.so.6

That's great.. Thanks a lot Adaptec..
Comment 22 Matt Castelein 2009-07-08 17:29:36 EDT
Thanks for all your help Seth, I'll take this up with Adaptec support.
Comment 23 seth vidal 2009-07-08 17:36:06 EDT
may I suggest they look at the:

AutoReqProv option in their spec file....

might be worth considering.

Note You need to log in before you can comment on or make changes to this bug.